Skip to main content
GET
/
stories
/
{id}
Get a pull story
curl --request GET \
  --url https://pullstory.com/api/v1/stories/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "story_01hq7xyz",
  "status": "generating",
  "owner": "vercel",
  "repo": "next.js",
  "number": 12345,
  "url": "https://pullstory.com/pr/vercel/next.js/12345",
  "duration_seconds": 142,
  "scenes": 8,
  "created_at": "2023-11-07T05:31:56Z",
  "ready_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

Pull story details

id
string
Example:

"story_01hq7xyz"

status
enum<string>
Available options:
generating,
ready,
failed
owner
string
Example:

"vercel"

repo
string
Example:

"next.js"

number
integer
Example:

12345

url
string
Example:

"https://pullstory.com/pr/vercel/next.js/12345"

duration_seconds
integer | null
Example:

142

scenes
integer | null
Example:

8

created_at
string<date-time>
ready_at
string<date-time> | null